List Compute Rewards
curl --request GET \
--url https://api.dispersed.com/v1/compute/rewardsimport requests
url = "https://api.dispersed.com/v1/compute/rewards"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dispersed.com/v1/compute/rewards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"total_reward": 123,
"availability_reward": 123,
"job_reward": 123,
"total_uptime_ms": 123,
"uptime_percentage": 123,
"total_execution_ms": 123,
"hours_worked": 123,
"compound_multiplier": 123,
"is_paid": true,
"epoch": {
"epoch_number": 123,
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"uuid": "<string>"
},
"node": {
"uuid": "<string>",
"name": "<string>"
},
"object": "compute_reward",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "<string>",
"account_uuid": "<string>",
"total_reward_decimal": 123,
"availability_reward_decimal": 123,
"job_reward_decimal": 123,
"preparation_reward_decimal": 123,
"assignable_time_ms": 123,
"assignable_percentage": 123,
"total_preparation_ms": 123,
"preparation_reward": 123,
"computation_inputs": {
"availability_pool_tokens": 123,
"compound_multiplier_resolved": 123,
"epoch_duration_ms": 123,
"execution_pool_tokens": 123,
"preparation_pool_tokens": 123,
"rounding_scale": 123,
"network_reward_policy_uuid": "<string>"
},
"transaction_hash": "<string>",
"adjustment_reason": "<string>",
"epoch_uuid": "<string>",
"node_uuid": "<string>"
}
],
"limit": 123,
"page": 123,
"total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"status": 123,
"timestamp": "<string>",
"details": []
}
}Compute Rewards
List Compute Rewards
GET
/
v1
/
compute
/
rewards
List Compute Rewards
Query Parameters
Required range:
1 <= x <= 100Example:
1
Required range:
1 <= x <= 9007199254740991Example:
1
Example:
"created_at OR -created_at"
Example:
"2025-01-01,2025-03-01"
Example:
"true"
Example:
"carry-over-reconciliation"
⌘I